From 1954417108645bf1b684a03cd0d9968ec2b9bdcb Mon Sep 17 00:00:00 2001
From: Venkatakrishnaiah Pari <vpari@quicinc.com>
Date: Tue, 29 Nov 2022 11:30:46 -0800
Subject: [PATCH 101/106] Enable kiumd and vfio iommu qcom onfigs for Lemans.

Change-Id: I083bb9d54d7ebba0fad5a79f2768d5ff09a59ffc
Signed-off-by: Venkatakrishnaiah Pari <quic_vpari@quicinc.com>
---
 .../custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_DEBUG     | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SELFTESTS | 1 +
 .../generic/arm/aarch64/CONFIG_DMABUF_SYSFS_STATS                | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_IOMMU_DEBUGFS    | 1 +
 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_KIUMD | 1 +
 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO  | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_AMBA        | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_QCOM  | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_TYPE1 | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_MDEV        | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_NOIOMMU     | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM    | 1 +
 .../generic/arm/aarch64/CONFIG_VFIO_PLATFORM_AMDXGBE_RESET       | 1 +
 .../generic/arm/aarch64/CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET     | 1 +
 .../generic/arm/aarch64/CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET  | 1 +
 15 files changed, 15 insertions(+)
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_DEBUG
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SELFTESTS
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SYSFS_STATS
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_IOMMU_DEBUGFS
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_KIUMD
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_AMBA
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_QCOM
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_TYPE1
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_MDEV
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_NOIOMMU
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_AMDXGBE_RESET
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET

diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_DEBUG b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_DEBUG
new file mode 100644
index 000000000000..11aec1969835
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_DEBUG
@@ -0,0 +1 @@
+CONFIG_DMABUF_DEBUG=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SELFTESTS b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SELFTESTS
new file mode 100644
index 000000000000..487425857368
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SELFTESTS
@@ -0,0 +1 @@
+CONFIG_DMABUF_SELFTESTS=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SYSFS_STATS b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SYSFS_STATS
new file mode 100644
index 000000000000..ce67cfc06f2d
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_DMABUF_SYSFS_STATS
@@ -0,0 +1 @@
+CONFIG_DMABUF_SYSFS_STATS=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_IOMMU_DEBUGFS b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_IOMMU_DEBUGFS
new file mode 100644
index 000000000000..8d0b2ba38c32
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_IOMMU_DEBUGFS
@@ -0,0 +1 @@
+CONFIG_IOMMU_DEBUGFS=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_KIUMD b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_KIUMD
new file mode 100644
index 000000000000..e94253a1f600
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_KIUMD
@@ -0,0 +1 @@
+CONFIG_KIUMD=m
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO
new file mode 100644
index 000000000000..64a55a3d939d
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO
@@ -0,0 +1 @@
+CONFIG_VFIO=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_AMBA b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_AMBA
new file mode 100644
index 000000000000..3b202f4c64ef
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_AMBA
@@ -0,0 +1 @@
+# CONFIG_VFIO_AMBA is not set
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_QCOM b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_QCOM
new file mode 100644
index 000000000000..ff621f5c5c72
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_QCOM
@@ -0,0 +1 @@
+CONFIG_VFIO_IOMMU_QCOM=m
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_TYPE1 b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_TYPE1
new file mode 100644
index 000000000000..adfbd0f19ab2
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_IOMMU_TYPE1
@@ -0,0 +1 @@
+CONFIG_VFIO_IOMMU_TYPE1=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_MDEV b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_MDEV
new file mode 100644
index 000000000000..641dbbd9e149
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_MDEV
@@ -0,0 +1 @@
+CONFIG_VFIO_MDEV=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_NOIOMMU b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_NOIOMMU
new file mode 100644
index 000000000000..8f4a895e842e
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_NOIOMMU
@@ -0,0 +1 @@
+# CONFIG_VFIO_NOIOMMU is not set
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM
new file mode 100644
index 000000000000..764d9c6a17b4
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM
@@ -0,0 +1 @@
+CONFIG_VFIO_PLATFORM=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_AMDXGBE_RESET b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_AMDXGBE_RESET
new file mode 100644
index 000000000000..1662b48c3be6
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_AMDXGBE_RESET
@@ -0,0 +1 @@
+# CONFIG_VFIO_PLATFORM_AMDXGBE_RESET is not set
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET
new file mode 100644
index 000000000000..4b7b2c9d8ea2
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET
@@ -0,0 +1 @@
+# CONFIG_VFIO_PLATFORM_BCMFLEXRM_RESET is not set
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET
new file mode 100644
index 000000000000..7c71659cf7d8
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET
@@ -0,0 +1 @@
+# CONFIG_VFIO_PLATFORM_CALXEDAXGMAC_RESET is not set
-- 
2.17.1

